Package org.eclipse.birt.chart.render

# Class MarkerRenderer

java.lang.Object
org.eclipse.birt.chart.render.MarkerRenderer

public final class MarkerRenderer extends Object
This class implements marker rendering capability used in Line, Area or other series.

## Constructor Summary

Constructors
Constructor
Description
`MarkerRenderer(IDeviceRenderer _render, Object _oSource, Location _lo, LineAttributes _la, Fill _paletteEntry, Marker _m, Integer _markerSize, DeferredCache _dc, boolean _bDeferred, boolean _bTransposed)`
`MarkerRenderer(IDeviceRenderer _render, Object _oSource, Location _lo, LineAttributes _la, Fill _paletteEntry, Marker _m, Integer _markerSize, DeferredCache _dc, boolean _bDeferred, boolean _bTransposed, int _zOrder)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`draw(IPrimitiveRenderer ipr)`
Render the marker with given renderer.
`PrimitiveRenderEvent`
`getRenderArea()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MarkerRenderer

public MarkerRenderer(IDeviceRenderer _render, Object _oSource, Location _lo, LineAttributes _la, Fill _paletteEntry, Marker _m, Integer _markerSize, DeferredCache _dc, boolean _bDeferred, boolean _bTransposed, int _zOrder)
The constructor.

Parameters:
  `_render` -
  `_oSource` -
  `_lo` -
  `_la` -
  `_paletteEntry` -
  `_m` -
  `_markerSize` - Null means auto size
  `_dc` -
  `_bDeferred` -
  `_bTransposed` -

### MarkerRenderer

public MarkerRenderer(IDeviceRenderer _render, Object _oSource, Location _lo, LineAttributes _la, Fill _paletteEntry, Marker _m, Integer _markerSize, DeferredCache _dc, boolean _bDeferred, boolean _bTransposed)

## Method Details

### draw

public void draw(IPrimitiveRenderer ipr) throws ChartException
Render the marker with given renderer.

Parameters:
  `ipr` -
Throws:
  `ChartException`

### getRenderArea

public PrimitiveRenderEvent getRenderArea()

Returns:
  Returns the rendering event containing the area affected by last drawing operation.